@propertyWrapper
public class Stored<Value> {
    public var wrappedValue: Value {
        return value()
    }
    
    public var value: () -> Value
    
    public init(wrappedValue: @autoclosure @escaping () -> Value, _ key: String) {
        value = wrappedValue
    }
}

struct ValueHolder {
    @Stored("test")
    var storedProperty: String = ""
}
